Package com.smartgwt.client.data

# Class GroupValueFunction

java.lang.Object
com.smartgwt.client.data.GroupValueFunction

public abstract class GroupValueFunction extends Object
Provides a way to override the default behavior of `SimpleType.getGroupValue()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupValueFunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `executeDefault(Object value, Record record, Map field, String fieldName, Canvas component)`
  Calls the default implementation of `SimpleType.getGroupValue()`.
  `SimpleType`
  `getSimpleType()`
  Returns the SimpleType object being customized
  `abstract String`
  `getValue(Object value, Record record, Map field, String fieldName, Canvas component)`
  Defines new behavior to override `SimpleType.getGroupValue()`.
  `void`
  `setSimpleType(SimpleType simpleType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupValueFunction

    public GroupValueFunction()

- ## Method Details

  - ### setSimpleType

    public void setSimpleType(SimpleType simpleType)

  - ### getSimpleType

    public SimpleType getSimpleType()
    Returns the SimpleType object being customized
    Returns:
      cutomized SimpleType object

  - ### executeDefault

    public String executeDefault(Object value, Record record, Map field, String fieldName, Canvas component)
    Calls the default implementation of `SimpleType.getGroupValue()`.
    Parameters:
      `value` - the record value to return a group value for
      `record` - the record containing the passed group value
      `field` - the field relating to the value to be processed
      `fieldName` - the name of the field relating to the value to be processed
      `component` - the component, usually a `ListGrid`, containing the passed record
    Returns:
      the group value for the passed parameters

  - ### getValue

    public abstract String getValue(Object value, Record record, Map field, String fieldName, Canvas component)
    Defines new behavior to override `SimpleType.getGroupValue()`.
    Parameters:
      `value` - the record value to return a group value for
      `record` - the record containing the passed group value
      `field` - the field relating to the value to be processed
      `fieldName` - the name of the field relating to the value to be processed
      `component` - the component, usually a `ListGrid`, containing the passed record
    Returns:
      the group value for the passed parameters